v_voip_depacketizer56: XDepacketizer56 Struct Reference

| v_voip_depacketizer56 Xilinx SDK Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List

- Data Structures
- Data Fields

Data Fields
XDepacketizer56 Struct Reference

The VoIP ST2022-6 Depacketizer driver instance data. More...

## Data Fields
XDepacketizer56_Callback | DatagramMismatchCallback
     Callback for error
status: Datagram per frame mismatch event interrupt More...
void * | DatagramMismatchRef
| To be passed to the connect interrupt callback. More...
u32 | IsDatagramMismatchCallbackSet
| Set flag. More...
XDepacketizer56_Callback | BufferEmptyCallback
| Callback for error status: Buffer Empty event interrupt. More...
void * | BufferEmptyRef
| To be passed to the connect interrupt callback. More...
u32 | IsBufferEmptyCallbackSet
| Set flag. More...

## Detailed Description

The VoIP ST2022-6 Depacketizer driver instance data.

An instance must be allocated for each VoIP ST2022-6 Depacketizer core in use.

## Field Documentation

XDepacketizer56_Callback XDepacketizer56::BufferEmptyCallback

Callback for error status: Buffer Empty event interrupt.

Referenced by XDepacketizer56_SetCallback().

void* XDepacketizer56::BufferEmptyRef

To be passed to the connect interrupt callback.

Referenced by XDepacketizer56_SetCallback().

XDepacketizer56_Callback XDepacketizer56::DatagramMismatchCallback

     Callback for error

status: Datagram per frame mismatch event interrupt

Referenced by XDepacketizer56_SetCallback().

void* XDepacketizer56::DatagramMismatchRef

To be passed to the connect interrupt callback.

Referenced by XDepacketizer56_SetCallback().

u32 XDepacketizer56::IsBufferEmptyCallbackSet

Set flag.

This flag is set to true when the callback has been registered

Referenced by XDepacketizer56_SetCallback().

u32 XDepacketizer56::IsDatagramMismatchCallbackSet

Set flag.

This flag is set to true when the callback has been registered

Referenced by XDepacketizer56_SetCallback().